Loading...
Searching...
No Matches
func2d.c File Reference
`#include <stdio.h>`
`#include <math.h>`
`#include <grass/gis.h>`
`#include <grass/interpf.h>`
Include dependency graph for func2d.c:

Go to the source code of this file.

## Functions

double | IL_crst (double r, double fi)
| Radial basis function.
int | IL_crstg (double r, double fi, double *gd1, double *gd2)
| Function for calculating derivatives (d=2).

## Detailed Description

Author
  Lubos Mitas (original program and various modifications)
  H. Mitasova, I. Kosinovsky, D. Gerdes, D. McCauley (GRASS4.1 version of the program and GRASS4.2 modifications)
  L. Mitas , H. Mitasova , I. Kosinovsky, D.Gerdes D. McCauley (1993, 1995)
  modified by McCauley in August 1995
  modified by Mitasova in August 1995, Nov. 1996

Copyright
  (C) 1993-1999 by Lubos Mitas and the GRASS Development Team
  This program is free software under the GNU General Public License (>=v2). Read the file COPYING that comes with GRASS for details.

Definition in file func2d.c.

## Function Documentation

## IL_crst()

double IL_crst | ( | double | r,
|  | double | fi )

Radial basis function.

Radial basis function - completely regularized spline with tension (d=2)

parameter description from DESCRIPTION.INTERP

Parameters

  r | distance squared
  fi | tension

Returns

Definition at line 49 of file func2d.c.

References b, r, and x.

## IL_crstg()

int IL_crstg | ( | double | r,
|  | double | fi,
|  | double * | gd1,
|  | double * | gd2 )

Function for calculating derivatives (d=2).

Derivatives of radial basis function - regularized spline with tension(d=2)

Parameters

  r | distance squared
  fi | tension
  gd1 | G1(r)
  gd2 | G2(r)

Returns

Definition at line 111 of file func2d.c.

References r, and x.